<div class="page" ng-controller="EpisodesController as vm" id="roteiro">
    <div class="row" style="padding: 0 35px;">

        <!-- EditScriptController -->
        <div class="col-md-6" ng-controller="EditScriptController as vm">
            <h2 class="section-header" style="margin-top: 0;"><span data-translate="SCRIPT"></span> : {{ vm.editScript.name }}
                <md-button class="md-icon-button edit no-print"
                           aria-label="Editar nome do Roteiro."
                           tooltip-placement="right"
                           uib-tooltip="Editar nome do Roteiro."
                           tooltip-append-to-body="true"
                           ng-click="isEditScriptCollapsed = !isEditScriptCollapsed">
                    <span><i class="zmdi zmdi-edit zmdi-hc-lg"></i></span>
                </md-button>
            </h2>
            <div class="row col-md-12" uib-collapse="isEditScriptCollapsed">
                <form ng-submit="vm.submitForm()" class="form-horizontal form-validation">
                    <div class="form-group">
                        <input type="text"
                               id="editScriptName"
                               class="form-control"
                               ng-model="vm.editScript.name">
                        <button type="reset"
                                class="btn btn-sm btn-danger pull-right"
                                ng-click="isEditScriptCollapsed = !isEditScriptCollapsed">
                            <span data-translate="CANCEL"></span>
                        </button>
                        <button type="submit"
                                class="btn btn-sm btn-primary pull-right"
                                ng-click="isEditScriptCollapsed = !isEditScriptCollapsed">
                            <span data-translate="SAVE"></span>
                        </button>
                    </div>
                </form>
            </div>
        </div>
        <!-- EditScriptController -->

        <div class="right pull-right no-print">
            <div class="col-md-2" style="padding-right: 4.5rem; padding-left: 0;">
                <button ui-wave
                        class="btn btn-primary"
                        ng-disabled="!isCollapsed || adding"
                        ng-click="vm.episodeAdd()">
                    <span data-translate="CREATE_EPISODE"></span>
                </button>
            </div>
        </div>
        <div class="space"></div>
        <div class="right pull-right no-print">
            <div class="col-md-2">
                <button ui-wave
                        data-ng-disabled="!isCollapsed"
                        class="btn btn-primary" ng-click="vm.sendEmail()">
                    <span data-translate="SHARE"></span>
                    <span> &nbsp <i class="fa fa-envelope"></i></span></button>
            </div>
        </div>
        <div class="right pull-right no-print">
            <div class="col-md-2">
                <button class="md-icon-button edit md-button md-ink-ripple no-print"
                        type="button"
                        ng-click="vm.printWindow()"
                        tooltip-placement="left"
                        tooltip-class="customClass"
                        uib-tooltip="Imprimir Roteiro"
                        tooltip-append-to-body="true"
                        aria-label="Imprimir roteiro.">
                    <span class="ng-scope"><i class="fa fa-print"></i></span>
                    <div class="md-ripple-container"></div></button>
            </div>
        </div>
    </div>
    <div class="row no-print" style="padding: 0 20px;">
        <div class="col-xs-6"
             style="cursor: pointer"
             aria-label="Voltar para os Roteiros."
             ng-click="vm.backToScripts()">
            <i class="fa fa-arrow-left" style="font-weight: 100;"></i>
            <span> Voltar para os Roteiros </span>
        </div>
    </div>

    <div class="divider"></div>

    <div class="row col-md-10 col-sm-offset-1" uib-collapse="isCollapsed" ng-include="'events/episodes/editEpisode.html'">
    </div>

    <div class="row col-md-12" style="padding: 0 35px;">
        <table class="table table-guide table-responsive no-margin">
            <thead>
                <tr>
                    <th style="padding: 20px 0; width: 8% ;"> Horário  </th>
                    <th style="padding: 20px 0; width: 85%;"> Episódio </th>
                    <th style="padding: 20px 0; width: 5% ;"> </th>
                </tr>
            </thead>
            <tbody ng-repeat="episode in vm.editScript.episodes">

                <tr>
                    <td style="padding: 20px 0; width: 8% ;"> {{ episode.hour | date: "HH:mm"}} </td>
                    <td style="padding: 20px 0; width: 8% ;"> {{ episode.name }} </td>
                    <td style="padding: 20px 0; width: 8% ;">
                        <section class="pull-right no-print"  layout="row" layout-align="center">
                            <md-button class="md-icon-button edit"
                                       aria-label="Editar roteiro."
                                       ng-click="vm.episodeEdit(episode)">
                                <span><i class="zmdi zmdi-edit zmdi-hc-lg"></i></span>
                            </md-button>
                            <md-button class="md-icon-button edit no-print"
                                       aria-label="Apagar roteiro."
                                       ng-click="vm.episodeDelete(episode)">
                                <span><i class="zmdi zmdi-delete zmdi-hc-lg"></i></span>
                            </md-button>
                        </section>
                    </td>
                </tr>
                <tr ng-hide="!episode.notes">
                    <td colspan="3" style="border-top-color: #ffffff; padding-top: 0;">
                        <div ta-bind  ng-model="episode.notes" class="ui-editor" ta-toolbar></div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
